Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000370Core InformExtensionspublic2010-10-29 19:452011-01-10 11:15
Reporterektemple 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000370: Word limit is long enough for English, not long enough for the web...
DescriptionThe sample code below is not a good representation of the practical application of this problem, but it is easier than recreating the actual circumstances in which I encountered it: in extension documentation, a list of links for further reference.

This wasn't an issue in previous builds because the text prettifier broke URLs into separate words.

This issue is minor enough that it probably doesn't matter. But it does seem arbitrary when applied to extension docs rather than to code.
Minimal Source Text To Reproduce
Test is a room.

http://www.fabiovisentin.com/tutorial/GIMP_transparent_image/gimp_how_to_make_transparent_im [^] is a thing 
in Test.
Additional InformationError message is "Word too long: http://www.fabiovisentin.com/tutorial/GIMP_transparent_image/gimp_how_to_make_transparent_im. [^] (Individual words of unquoted text can run up to 92 letters long, in order to allow for the longest recognised place name in the English speaking world: a hill in New Zealand called Taumatawhakatang-ihangakoauauot-amateaturipukaka-pikimaunga-horonuku-pokaiwhenuak-itanatahu. You say tomato, I say taumatawhakatang-...)".

I (facetiously) suggest that Inform ought to allow up to 101 characters, so that creation's thunderclap from Finnegan's Wake can be the yardstick: "bababadalgharaghtakamminarronnkonnbronntonnerronntuonnthunntrovarrhounawnskawntoohoohoordenenthurnuk"
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
(0000856)
graham (administrator)
2010-11-21 11:45

I've enabled Joycean creation, and a little more to spare (128 is the new limit), but that's as much as I want to do for now; arguably there should some day be a special way to handle URLs in extension documentation.

- Issue History
Date Modified Username Field Change
2010-10-29 19:45 ektemple New Issue
2010-10-30 21:34 jmcgrew Severity mild => cosmetic
2010-10-30 21:34 jmcgrew Status new => acknowledged
2010-10-31 21:58 jmcgrew Status acknowledged => confirmed
2010-11-21 11:45 graham Note Added: 0000856
2010-11-21 11:45 graham Status confirmed => resolved
2010-11-21 11:45 graham Resolution open => fixed
2010-11-21 11:45 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker